@import "variables";
@import "mixins";

.dashboard {
    .dashboard__header {
        display: flex;
        justify-content: center;
        align-items: center;
        position: sticky;
        top: 0;
        height: $dashboard-header-height;
        box-shadow: 0 2px 5px 2px rgba(60, 65, 67, 0.15);
        background: #ffffff;
    }
    
    .new-table {
        padding: 1.5rem;
        background: #dadce0;
        
        .create-table {
            width: 160px;
            height: 160px;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #dadce0;
            border-radius: 4px;
            background: #ffffff;
            font-size: 1.5rem;
            text-decoration: none;
            text-align: center;
            color: #000000;
            
            &:hover {
                box-shadow: 0 0 4px 0 green;
                cursor: pointer;
                color: green;
            }
        }
    }
    
    .dashboard__table {
        .table__header {
            display: flex;
            justify-content: space-between;
            color: #202124;
            font-weight: 500;
            font-size: 16px;
            margin-bottom: 10px;
            padding: 0 12px;
        }
        
        .table__list {
            list-style: none;
            
            .list-item {
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 12px 14px 12px 16px;
                
                &:hover {
                    background: #e6f4ea;
                    border-radius: 25px;
                }
                
                a {
                    cursor: pointer;
                    text-decoration: none;
                    color: #202124;
                    font-size: 14px;
                    
                    &:hover {
                        text-decoration: underline;
                    }
                }
            }
        }
    }
}
